//
//  LLPinboardCredentials.h
//  Spillo
//
//  Created by Damien DeVille on 4/13/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LLPinboardCredentials : NSObject <NSCopying>

+ (instancetype)credentialsWithUsername:(NSString *)username token:(NSString *)token feedSecret:(NSString *)feedSecret;

@property (copy, nonatomic) NSString *username;
@property (copy, nonatomic) NSString *token;
@property (copy, nonatomic) NSString *feedSecret;

@end

/*!
	Key used to put a credentials instance in an `NSError` `userInfo` dictionary for recovery purposes.
 */
extern NSString * const LLPinboardCredentialsErrorKey;
