//
//  LLPinboardKit-Constants.h
//  Spillo
//
//  Created by Damien DeVille on 7/25/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString * const LLPinboardKitBundleIdentifier;

extern NSString * const LLPinboardKitErrorDomain;

typedef NS_ENUM(NSInteger, LLPinboardKitErrorCode) {
	LLPinboardKitUnknownError = 0,
	
	LLPinboardKitAuthenticationError = -100,
	LLPinboardKitRateLimitedError = -101,
	LLPinboardKitServerError = -102,
	LLPinboardKitNonHTTPResponseError = -103,
	LLPinboardKitUnexpectedStatusCodeError = -104,
	LLPinboardKitRequestTooLongError = -105,
	LLPinboardKitInvalidPostError = -106,
	
	LLPinboardKitKeychainError = -200,
	
	LLPinboardKitXMLParsingXPathError = -300,
	LLPinboardKitJSONUnexpectedResultError = -301,
	LLPinboardKitJSONMissingResultError = -302,
	LLPinboardKitMalformedJSONError = -303,
};

extern NSString * const LLPinboardPostIdentifierKey;	// NSString
extern NSString * const LLPinboardPostMetaKey;			// NSString
extern NSString * const LLPinboardPostUsernameKey;		// NSString
extern NSString * const LLPinboardPostURLKey;			// NSString
extern NSString * const LLPinboardPostTitleKey;			// NSString
extern NSString * const LLPinboardPostDescKey;			// NSString
extern NSString * const LLPinboardPostDateKey;			// NSDate
extern NSString * const LLPinboardPostUnreadKey;		// NSNumber (BOOL)
extern NSString * const LLPinboardPostSharedKey;		// NSNumber (BOOL)
extern NSString * const LLPinboardPostStarredKey;		// NSNumber (BOOL)
extern NSString * const LLPinboardPostOthersKey;		// NSString
extern NSString * const LLPinboardPostTagsKey;			// NSSet (NSString)

extern NSString * const LLPinboardTagTitleKey;			// NSString
