//
//  LLSpilloCollection.h
//  Spillo
//
//  Created by Damien DeVille on 4/18/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import "LLSpilloData/LLSpilloDataManagedObject.h"

extern NSString * const LLSpilloCollectionEntityName;

@interface LLSpilloCollection : NSManagedObject <LLSpilloDataManagedObjectExporting>

@property (copy, nonatomic) NSString *identifier;
extern NSString * const LLSpilloCollectionIdentifierKey;

@property (copy, nonatomic) NSString *title;
extern NSString * const LLSpilloCollectionTitleKey;

@property (strong, nonatomic) NSPredicate *predicate;
extern NSString * const LLSpilloCollectionPredicateKey;

@property (readonly, strong, nonatomic) NSPredicate *displayPredicate;
extern NSString * const LLSpilloCollectionDisplayPredicateKey;

@property (readonly, assign, nonatomic) NSUInteger postCount;
extern NSString * const LLSpilloCollectionPostCountKey;

@property (assign, nonatomic) BOOL editable;
extern NSString * const LLSpilloCollectionEditableKey;

@property (assign, nonatomic) NSInteger order;
extern NSString * const LLSpilloCollectionOrderKey;

@property (assign, nonatomic) BOOL hidden;
extern NSString * const LLSpilloCollectionHiddenKey;

- (void)refreshPostCount;

@end
