//
//  LLSpilloCoreDataMessaging.h
//  Spillo
//
//  Created by Damien DeVille on 8/15/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@interface LLSpilloDataPersistentStoreNotification : NSObject <NSSecureCoding>

+ (instancetype)notificationWithName:(NSString *)name userInfo:(NSDictionary *)userInfo storeIdentifier:(NSString *)storeIdentifier;

@property (readonly, copy, nonatomic) NSString *name;
@property (readonly, copy, nonatomic) NSDictionary *userInfo;
@property (readonly, copy, nonatomic) NSString *storeIdentifier;
@property (readonly, assign, nonatomic) pid_t pid;

@end

@interface LLSpilloDataPersistentStoreNotification (Archiving)

- (NSData *)archive;
+ (LLSpilloDataPersistentStoreNotification *)unarchive:(NSData *)data;

@end

@interface NSManagedObjectContext (LLSpilloDataPersistentStoreNotification)

- (LLSpilloDataPersistentStoreNotification *)createPersistentStoreSaveNotificationFromSaveNotification:(NSNotification *)notification storeIdentifier:(NSString *)storeIdentifier;
- (NSNotification *)createSaveNotificationFromPersistentStoreSaveNotification:(LLSpilloDataPersistentStoreNotification *)notification;

@end
