//
//  LLSpilloPinboardPost.h
//  Spillo
//
//  Created by Damien DeVille on 4/13/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

#import "LLSpilloData/LLSpilloDataManagedObject.h"

extern NSString * const LLSpilloPinboardPostEntityName;

extern const NSUInteger LLSpilloPinboardPostTitleMaxLength;
extern const NSUInteger LLSpilloPinboardPostDescMaxLength;

typedef NS_ENUM(NSInteger, LLSpilloPinboardPostSource) {
	LLSpilloPinboardPostSourceTwitter = 1,
	LLSpilloPinboardPostSourceTwitterFavs = 2,
	LLSpilloPinboardPostSourceInstapaper = 3,
	LLSpilloPinboardPostSourcePocket = 4,
	LLSpilloPinboardPostSourceiPhone = 5,
	LLSpilloPinboardPostSourceDelicious = 6,
	LLSpilloPinboardPostSourceReadability = 7,
};

@interface LLSpilloPinboardPost : NSManagedObject <LLSpilloDataPinboardObject>

@property (copy, nonatomic) NSString *identifier;
extern NSString * const LLSpilloPinboardPostIdentifierKey;

@property (copy, nonatomic) NSString *meta;
extern NSString * const LLSpilloPinboardPostMetaKey;

@property (copy, nonatomic) NSString *username;
extern NSString * const LLSpilloPinboardPostUsernameKey;

@property (copy, nonatomic) NSString *url;
extern NSString * const LLSpilloPinboardPostURLKey;

@property (copy, nonatomic) NSString *title;
extern NSString * const LLSpilloPinboardPostTitleKey;

@property (copy, nonatomic) NSString *desc;
extern NSString * const LLSpilloPinboardPostDescKey;

@property (copy, nonatomic) NSDate *date;
extern NSString * const LLSpilloPinboardPostDateKey;

@property (assign, nonatomic) BOOL unread;
extern NSString * const LLSpilloPinboardPostUnreadKey;

@property (assign, nonatomic) BOOL shared;
extern NSString * const LLSpilloPinboardPostSharedKey;

@property (assign, nonatomic) BOOL starred;
extern NSString * const LLSpilloPinboardPostStarredKey;

@property (assign, nonatomic) BOOL dead;
extern NSString * const LLSpilloPinboardPostDeadKey;

@property (assign, nonatomic) LLSpilloPinboardPostSource source;
extern NSString * const LLSpilloPinboardPostSourceKey;

@property (assign, nonatomic) NSUInteger others;
extern NSString * const LLSpilloPinboardPostOthersKey;

@property (strong, nonatomic) NSSet *tags;
extern NSString * const LLSpilloPinboardPostTagsKey;

@property (assign, nonatomic) BOOL unsyncable;
extern NSString * const LLSpilloPinboardPostUnsyncableKey;

@property (readonly, getter = isEditable, nonatomic) BOOL editable;
extern NSString * const LLSpilloPinboardPostEditableKey;

@end

@interface LLSpilloPinboardPost (Bindings)

@property (readonly, strong, nonatomic) NSString *host;
extern NSString * const LLSpilloPinboardPostHostKey;

@property (readonly, strong, nonatomic) NSArray *sortedTagTitles;
extern NSString * const LLSpilloPinboardPostSortedTagTitlesKey;

@end

@interface LLSpilloPinboardPost (Conveniences)

+ (NSString *)hostForURL:(NSString *)url;
+ (NSArray *)sortedTagTitles:(NSSet *)tagTitles;

@end
