//
//  LLSpilloDataBookmarkEngine+Private.h
//  Spillo
//
//  Created by Damien DeVille on 10/16/16.
//  Copyright © 2016 Damien DeVille. All rights reserved.
//

#import <LLSpilloData/LLSpilloDataBookmarkEngine.h>

@class LLSpilloDataAccount, LLSpilloDataPersistentStoreNotification;

@interface LLSpilloDataBookmarkEngine (Private)

- (instancetype)initWithAccount:(LLSpilloDataAccount *)account storeContainerLocation:(NSURL *)storeContainerLocation keychainAccessGroup:(NSString *)keychainAccessGroup;

// Note that the account is kept strongly (and the cycle is manually broken by the manager) because the bookmark engine observes
// subproperties of the account which means that we couldn't safely unobserve them if the account went nil under our feet.
@property (readwrite, strong, nonatomic) LLSpilloDataAccount *account;

- (BOOL)deleteStores:(NSError **)errorRef;

- (void)mergePersistentStoreNotification:(LLSpilloDataPersistentStoreNotification *)persistentStoreNotification;

@end
