//
//  LLSpilloDataBookmarkEngineConfiguration.h
//  Spillo
//
//  Created by Damien DeVille on 10/15/16.
//  Copyright © 2016 Damien DeVille. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "LLSpilloDataAccount.h"

@interface LLSpilloDataBookmarkEngineConfiguration : NSObject

/*!
	\brief
	The configuration for the given type.
 */
+ (instancetype)configurationForType:(LLSpilloDataAccountType)type;

/*!
	\brief
	A class conforming to the `LLSpilloDataDefaultItemsGenerator` protocol.
 */
@property (strong, nonatomic) Class /* LLSpilloDataDefaultItemsGenerator */ defaultItemsGenerator;

/*!
	\brief
	A class conforming to the `LLSpilloDataBookmarkSyncClient` protocol.
 */
@property (strong, nonatomic) Class /* LLSpilloDataBookmarkSyncClient */ syncClient;

@end
