//
//  spillo.js
//  Spillo
//
//  Created by Damien DeVille on 8/17/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

var SpilloSharingExtensionPreprocessing = function() {};

SpilloSharingExtensionPreprocessing.prototype = {
	run: function(arguments) {
		var pageURL = document.URL;
		var pageTitle = document.title;
		
		var pageDescription = window.getSelection().toString();
		if (!pageDescription) {
			var meta = document.getElementsByTagName('meta');
			for (var idx = 0; idx < meta.length; idx++) {
				if (meta[idx].name.toLowerCase() === 'description') {
					pageDescription = meta[idx].content;
					break;
				}
			}
		}
		
		arguments.completionFunction({"pageURL": pageURL, "pageTitle": pageTitle, "pageDescription": pageDescription});
	},
	
	finalize: function(arguments) {
		// nop
	}
};

var ExtensionPreprocessingJS = new SpilloSharingExtensionPreprocessing;
